question  -> q_keyword_list

for k in knowledge_all:
    knowledge k -> k_keyword_list
    rank_k = rank(q_keyword_list, k_keyword_list)

eg nguon :k         | q_keyword_list                   | rank_k vs :q
k=diachi_truong     | k_keyword_list_diachi_truong     | 1
k=congkhai_thongtin |  k_keyword_list_congkhai_thongtin | 0.06

--> tìm được cách cho điểm / xếp hạng nguon` :k de biet la nguon 
    co lienquan baonhieu den cau hoi :q
